Skip to main content
GET
/
api
/
v2
/
apps
/
{app_id}
/
owners
/
entitlements
/
{role_slug}
/
{app_entitlement_ref_app_id}
/
{app_entitlement_ref_id}
GetEntitlementOwner
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppOwnersV2.GetEntitlementOwner(ctx, operations.C1APIAppV2AppOwnersGetEntitlementOwnerRequest{
        AppEntitlementRefAppID: "<id>",
        AppEntitlementRefID: "<id>",
        AppID: "<id>",
        RoleSlug: "<value>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetEntitlementOwnerResponse != nil {
        // handle response
    }
}
{
  "appOwnerEntitlement": {
    "appEntitlement": {
      "alias": "<string>",
      "appId": "<string>",
      "appResourceId": "<string>",
      "appResourceTypeId": "<string>",
      "certifyPolicyId": "<string>",
      "complianceFrameworkValueIds": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "defaultValuesApplied": true,
      "deletedAt": "2023-11-07T05:31:56Z",
      "deprovisionerPolicy": {
        "action": {
          "actionName": "<string>",
          "appId": "<string>",
          "connectorId": "<string>",
          "displayName": "<string>"
        },
        "connector": {
          "account": {
            "config": {},
            "connectorId": "<string>",
            "doNotSave": {},
            "saveToVault": {
              "vaultIds": [
                "<string>"
              ]
            },
            "schemaId": "<string>"
          },
          "defaultBehavior": {
            "connectorId": "<string>"
          },
          "deleteAccount": {
            "connectorId": "<string>"
          }
        },
        "delegated": {
          "appId": "<string>",
          "entitlementId": "<string>",
          "implicit": true
        },
        "externalTicket": {
          "appId": "<string>",
          "connectorId": "<string>",
          "externalTicketProvisionerConfigId": "<string>",
          "instructions": "<string>"
        },
        "manual": {
          "assignee": {
            "appOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "entitlementOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "expression": {
              "allowReassignment": true,
              "expressions": [
                "<string>"
              ],
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "group": {
              "allowReassignment": true,
              "appGroupId": "<string>",
              "appId": "<string>",
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "manager": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "users": {
              "allowReassignment": true,
              "userIds": [
                "<string>"
              ]
            }
          },
          "instructions": "<string>",
          "userIds": [
            "<string>"
          ]
        },
        "multiStep": {
          "provisionSteps": "<array>"
        },
        "unconfigured": {},
        "webhook": {
          "webhookId": "<string>"
        }
      },
      "description": "<string>",
      "displayName": "<string>",
      "durationGrant": "<string>",
      "durationUnset": {},
      "emergencyGrantEnabled": true,
      "emergencyGrantPolicyId": "<string>",
      "externalId": "<string>",
      "grantCount": "<string>",
      "grantPolicyId": "<string>",
      "id": "<string>",
      "isAutomationEnabled": true,
      "isManuallyManaged": true,
      "matchBatonId": "<string>",
      "overrideAccessRequestsDefaults": true,
      "provisionerPolicy": {
        "action": {
          "actionName": "<string>",
          "appId": "<string>",
          "connectorId": "<string>",
          "displayName": "<string>"
        },
        "connector": {
          "account": {
            "config": {},
            "connectorId": "<string>",
            "doNotSave": {},
            "saveToVault": {
              "vaultIds": [
                "<string>"
              ]
            },
            "schemaId": "<string>"
          },
          "defaultBehavior": {
            "connectorId": "<string>"
          },
          "deleteAccount": {
            "connectorId": "<string>"
          }
        },
        "delegated": {
          "appId": "<string>",
          "entitlementId": "<string>",
          "implicit": true
        },
        "externalTicket": {
          "appId": "<string>",
          "connectorId": "<string>",
          "externalTicketProvisionerConfigId": "<string>",
          "instructions": "<string>"
        },
        "manual": {
          "assignee": {
            "appOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "entitlementOwners": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "expression": {
              "allowReassignment": true,
              "expressions": [
                "<string>"
              ],
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "group": {
              "allowReassignment": true,
              "appGroupId": "<string>",
              "appId": "<string>",
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "manager": {
              "allowReassignment": true,
              "fallbackUserIds": [
                "<string>"
              ]
            },
            "users": {
              "allowReassignment": true,
              "userIds": [
                "<string>"
              ]
            }
          },
          "instructions": "<string>",
          "userIds": [
            "<string>"
          ]
        },
        "multiStep": {
          "provisionSteps": "<array>"
        },
        "unconfigured": {},
        "webhook": {
          "webhookId": "<string>"
        }
      },
      "purpose": "APP_ENTITLEMENT_PURPOSE_VALUE_UNSPECIFIED",
      "requestSchemaId": "<string>",
      "revokePolicyId": "<string>",
      "riskLevelValueId": "<string>",
      "slug": "<string>",
      "sourceConnectorIds": {},
      "systemBuiltin": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "userEditedMask": "<string>"
    },
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "roleSlug": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

role_slug
string
required

The roleSlug field.

app_entitlement_ref_app_id
string
required

The appId field.

app_entitlement_ref_id
string
required

The id field.

Response

200 - application/json

GetEntitlementOwnerResponse is the response for getting an entitlement ownership source.

GetEntitlementOwnerResponse is the response for getting an entitlement ownership source.

appOwnerEntitlement
App Owner Entitlement · object

AppOwnerEntitlement represents an entitlement ownership source for an app.